summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-11-13 03:02:43 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-11-13 03:02:43 +0000
commit4dc2f97ed84159736ecfb5dea5485e83b27810d1 (patch)
treea2dacff6c971827db40747ce252c01aad9eea6d2 /eclass
parent51be8f45b17e3da3ac48eca6b16b703bb58fda76 (diff)
gentoo auto-resync : 13:11:2024 - 03:02:42
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin39020 -> 39012 bytes
-rw-r--r--eclass/docs.eclass4
-rw-r--r--eclass/kernel-build.eclass11
-rw-r--r--eclass/kernel-install.eclass2
-rw-r--r--eclass/rust.eclass27
-rw-r--r--eclass/secureboot.eclass4
-rw-r--r--eclass/toolchain.eclass1
7 files changed, 20 insertions, 29 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 2411f6b0a4ef..79c6d93bec23 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/docs.eclass b/eclass/docs.eclass
index edb3c8661ca2..be94029d1eaf 100644
--- a/eclass/docs.eclass
+++ b/eclass/docs.eclass
@@ -3,9 +3,9 @@
# @ECLASS: docs.eclass
# @MAINTAINER:
-# Andrew Ammerlaan <andrewammerlaan@gentoo.org>
+# Nowa Ammerlaan <nowa@gentoo.org>
# @AUTHOR:
-# Author: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
+# Author: Nowa Ammerlaan <nowa@gentoo.org>
# Based on the work of: Michał Górny <mgorny@gentoo.org>
# @SUPPORTED_EAPIS: 7 8
# @BLURB: A simple eclass to build documentation.
diff --git a/eclass/kernel-build.eclass b/eclass/kernel-build.eclass
index 4a2af9845ad4..9d33aef92691 100644
--- a/eclass/kernel-build.eclass
+++ b/eclass/kernel-build.eclass
@@ -397,7 +397,7 @@ kernel-build_src_install() {
fi
dodir "${kernel_dir}/arch/${kern_arch}"
- mv include scripts "${ED}${kernel_dir}/" || die
+ mv certs include scripts "${ED}${kernel_dir}/" || die
mv "arch/${kern_arch}/include" \
"${ED}${kernel_dir}/arch/${kern_arch}/" || die
# some arches need module.lds linker script to build external modules
@@ -438,13 +438,8 @@ kernel-build_src_install() {
local image=${ED}${kernel_dir}/${image_path}
cp -p "build/${image_path}" "${image}" || die
- # If a key was generated, copy it so external modules can be signed
- local suffix
- for suffix in pem x509; do
- if [[ -f "build/certs/signing_key.${suffix}" ]]; then
- cp -p "build/certs/signing_key.${suffix}" "${ED}${kernel_dir}/certs" || die
- fi
- done
+ # Copy built key/certificate files
+ cp -p build/certs/* "${ED}${kernel_dir}/certs/" || die
# building modules fails with 'vmlinux has no symtab?' if stripped
use ppc64 && dostrip -x "${kernel_dir}/${image_path}"
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index 29abb9b419e6..a341dd9426ff 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -82,7 +82,7 @@ _IDEPEND_BASE="
LICENSE="GPL-2"
if [[ ${KERNEL_IUSE_GENERIC_UKI} ]]; then
IUSE+=" generic-uki modules-compress"
- # https://github.com/AndrewAmmerlaan/dist-kernel-log-to-licenses
+ # https://github.com/Nowa-Ammerlaan/dist-kernel-log-to-licenses
# This script can help with generating the array below, keep in mind
# that it is not a fully automatic solution, i.e. use flags will
# still have to handled manually.
diff --git a/eclass/rust.eclass b/eclass/rust.eclass
index 3837c3a1f6c5..3a8a93718787 100644
--- a/eclass/rust.eclass
+++ b/eclass/rust.eclass
@@ -196,25 +196,22 @@ _rust_set_globals() {
local usedep="${RUST_REQ_USE+[${RUST_REQ_USE}]}"
# If we're not using LLVM, we can just generate a simple Rust dependency
+ # In time we need to implement trivial dependencies
+ # (>=RUST_MIN_VER) where RUST_MAX_VER isnt't set,
+ # however the previous attempt to do this ran into issues
+ # where `emerge ... --keep-going` ate legacy non-slotted
+ # Rust blockers resutling in the non-slotted version never
+ # being removed and breaking builds. #943206 #943143
if [[ -z "${RUST_NEEDS_LLVM}" ]]; then
rust_dep=( "|| (" )
- # We can be more flexible if we generate a simpler, open-ended dependency
- # when we don't have a max version set.
- if [[ -z "${RUST_MAX_VER}" ]]; then
+ # depend on each slot between RUST_MIN_VER and RUST_MAX_VER; it's a bit specific but
+ # won't hurt as we only ever add newer Rust slots.
+ for slot in "${_RUST_SLOTS[@]}"; do
rust_dep+=(
- ">=dev-lang/rust-bin-${RUST_MIN_VER}:*${usedep}"
- ">=dev-lang/rust-${RUST_MIN_VER}:*${usedep}"
+ "dev-lang/rust-bin:${slot}${usedep}"
+ "dev-lang/rust:${slot}${usedep}"
)
- else
- # depend on each slot between RUST_MIN_VER and RUST_MAX_VER; it's a bit specific but
- # won't hurt as we only ever add newer Rust slots.
- for slot in "${_RUST_SLOTS[@]}"; do
- rust_dep+=(
- "dev-lang/rust-bin:${slot}${usedep}"
- "dev-lang/rust:${slot}${usedep}"
- )
- done
- fi
+ done
rust_dep+=( ")" )
RUST_DEPEND="${rust_dep[*]}"
else
diff --git a/eclass/secureboot.eclass b/eclass/secureboot.eclass
index 52a7a636ddd2..a854061719a9 100644
--- a/eclass/secureboot.eclass
+++ b/eclass/secureboot.eclass
@@ -3,9 +3,9 @@
# @ECLASS: secureboot.eclass
# @MAINTAINER:
-# Andrew Ammerlaan <andrewammerlaan@gentoo.org>
+# Nowa Ammerlaan <nowa@gentoo.org>
# @AUTHOR:
-# Author: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
+# Author: Nowa Ammerlaan <nowa@gentoo.org>
# @SUPPORTED_EAPIS: 7 8
# @BLURB: A small eclass to sign efi files for Secure Boot
# @DESCRIPTION:
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index c900e2051cd1..1f043de0b548 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1586,7 +1586,6 @@ toolchain_src_configure() {
fi
}
- enable_cet_for 'i[34567]86' 'gnu' 'cet'
enable_cet_for 'x86_64' 'gnu' 'cet'
enable_cet_for 'aarch64' 'gnu' 'standard-branch-protection'
fi